﻿
var http = require('http')
var path = require('path')
var fs = require('fs')

/*
	todo:
	
	make this dynamic
	fs.readdir the folder... get assets.
	generate appropriate handler for each file type

*/

http.createServer(function (req, res) {
	switch(req.url) {
		case '/favicon.ico':
			res.end()
		break;
		case '/app.css':
			res.setHeader('content-type', 'text/css')
			fs.createReadStream(path.normalize(path.join(__dirname, '/app.css'))).pipe(res)
		break;
		case '/app.js':
			res.setHeader('content-type', 'application/javascript')
			fs.createReadStream(path.normalize(path.join(__dirname, '/app.js'))).pipe(res)
		break;
		case '/nanobus.js':
			res.setHeader('content-type', 'application/javascript')
			fs.createReadStream(path.normalize(path.join(__dirname, '/nanobus.js'))).pipe(res)
		break;
		case '/nanorouter.js':
			res.setHeader('content-type', 'application/javascript')
			fs.createReadStream(path.normalize(path.join(__dirname, '/nanorouter.js'))).pipe(res)
		break;
		case '/merlin.js':
			res.setHeader('content-type', 'application/javascript')
			fs.createReadStream(path.normalize(path.join(__dirname, '/merlin.js'))).pipe(res)
		break;
		case '/jsconsole.js':
			res.setHeader('content-type', 'application/javascript')
			fs.createReadStream(path.normalize(path.join(__dirname, '/jsconsole.js'))).pipe(res)
		break;
		default:
			res.setHeader('content-type', 'text/html')
			fs.createReadStream(path.normalize(path.join(__dirname, '/index.html'))).pipe(res)
	}
	
}).listen(3000)
